mod byte_conversion {
    #[macro_export]
    macro_rules! kbit {
        ($bytes:expr) => {
            kbyte!($bytes) * 8.0
        };
    }

    #[macro_export]
    macro_rules! mbit {
        ($bytes:expr) => {
            mbyte!($bytes) * 8.0
        };
    }

    #[macro_export]
    macro_rules! gbit {
        ($bytes:expr) => {
            gbyte!($bytes) * 8.0
        };
    }

    #[macro_export]
    macro_rules! tbit {
        ($bytes:expr) => {
            tbyte!($bytes) * 8.0
        };
    }

    #[macro_export]
    macro_rules! kbyte {
        ($bytes:expr) => {
            $bytes / 1024.0
        };
    }

    #[macro_export]
    macro_rules! mbyte {
        ($bytes:expr) => {
            kbyte!($bytes) / 1024.0
        };
    }

    #[macro_export]
    macro_rules! gbyte {
        ($bytes:expr) => {
            mbyte!($bytes) / 1024.0
        };
    }

    #[macro_export]
    macro_rules! tbyte {
        ($bytes:expr) => {
            gbyte!($bytes) / 1024.0
        };
    }
}
